package com.kiisoo.ic.system.enums;

import lombok.Getter;

/**
 * @author yinliujing
 * @date 2020/4/14 10:21
 * @company kiisoo
 * @details 店铺人员枚举
 */
@Getter
public enum StoreStaffEnum {

    USER_STATUS_MANAGER("店长", 1),
    USER_STATUS_VICE_MANAGER(" 副店长", 2),
    USER_STATUS_MANAGER_ASSISTANT(" 店长助理", 3),
    STORE_STAFF_ABNORMAL(" 导购", 4),;


    /**
     * 字段描述
     */
    private String describe;

    /**
     * 字段类型
     */
    private int type;

    StoreStaffEnum(String describe, int type) {
        this.describe = describe;
        this.type = type;
    }
}
